<template>
  <q-page class="row flex column text-h3">
    <section class="header">
      <img src="../statics/artist-header.jpg" alt="Artist header">
      <div class="info">
        <q-btn to="/all-artist" class="back-button" flat>
          <img src="../statics/arrow_white_back.svg" alt="Back">
        </q-btn>
        <div class="avatar">
          <q-img class="avatar-icon"
                 width="50px"
                 height="50px"
               src="../statics/ava2.png" alt="Artist icon"/>
          <p class="avatar-name"
          >Оля</p>
        </div>
      </div>
    </section>
    <section class="fit row flex column">
      <div class="sort-block q-pa-xl">
        <q-select
          borderless
          transition-show="jump-up"
          transition-hide="jump-up"
          v-model="sortBy"
          :options="sortOptions"
          style="width: 250px"
        />
        <tags-block></tags-block>
      </div>
      <div class="order-block q-px-xl">
        <div class="order-info">
          <h5 class="order-descr">Среднее время на работу 48 часов</h5>
          <h5 class="order-descr">122 Покупки, 596 Заказов</h5>
        </div>
        <button @click="modal = true" class="order-button">Заказать заказ</button>
      </div>
      <div class="product-info row q-px-xl">
        <p class="col-6">Художник использует различные стили: офорт, рисунок пером и тушью в различных техниках, классическую графику. Отдельное направление в творчестве - цифровая графика, представленная в виде широкого цикла работ в стиле пейнт-арт и пиксел-арт.</p>
      </div>
      <div class="collections-block fit row">
        <div   class="col-6 col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 q-px-xl q-my-lg">
          <router-link to="/product">
            <div class="relative-position">
              <div class="product">
                <q-img class="product-img" src="/statics/big.png"/>
                <p class="product-name"
                >Коллекция "Грехи"</p>
              </div>
            </div>
          </router-link>
        </div>
        <div   class="col-6 col-xs-12 col-sm-12 col-md-6 col-lg-6 col-xl-6 q-px-xl q-my-lg">
          <router-link to="/product">
            <div class="relative-position">
              <div class="product">
                <q-img class="product-img" src="/statics/big2.png"/>
                <p class="product-name"
                >Коллекция "Adventure time"</p>
              </div>
            </div>
          </router-link>
        </div>
      </div>
      <div class="products-block fit row">
        <artist-card v-for="c in 1" :key="c" :large="false"></artist-card>
        <div  class="col-3 col-xs-12 col-sm-12 col-md-6 col-lg-3 col-xl-3 q-px-xl q-my-lg">
          <router-link to="/product">
            <div class="relative-position">
              <div class="product">
                <q-img class="product-img" src="/statics/sm2.png"/>
                <p class="product-name"
                >Название товара</p>
              </div>
            </div>
          </router-link>
        </div>
        <div  class="col-3 col-xs-12 col-sm-12 col-md-6 col-lg-3 col-xl-3 q-px-xl q-my-lg">
          <router-link to="/product">
            <div class="relative-position">
              <div class="product">
                <q-img class="product-img" src="/statics/sm3.png"/>
                <p class="product-name"
                >Название товара</p>
              </div>
            </div>
          </router-link>
        </div>
        <div  class="col-3 col-xs-12 col-sm-12 col-md-6 col-lg-3 col-xl-3 q-px-xl q-my-lg">
          <router-link to="/product">
            <div class="relative-position">
              <div class="product">
                <q-img class="product-img" src="/statics/sm4.png"/>
                <p class="product-name"
                >Название товара</p>
              </div>
            </div>
          </router-link>
        </div>
      </div>
    </section>
    <order-modal v-if="modal" @closeModal="modal = false"></order-modal>
  </q-page>
</template>

<script>
import tagsBlock from '../components/tagsBlock'
import artistCard from '../components/Artist/card'
import orderModal from '../components/Artist/OrderModal'
export default {
  name: 'ArtistPage',
  data () {
    return {
      sortBy: 'По популярности',
      sortOptions: [
        'По популярности', 'По рейтингу', 'По возрастанию цены', 'По убыванию цены'
      ],
      modal: false
    }
  },
  components: {
    tagsBlock, artistCard, orderModal
  }
}
</script>

<style lang="sass">
.header
  position: relative
  display: flex
  height: 220px
  width: 100%
  background-color: transparent
  & img
    width: 100%
    height: 100%
  &::after
    content: ''
    position: absolute
    z-index: 10
    bottom: 0
    left: 0
    right: 0
    height: 50%
    background: linear-gradient(180deg, rgba(29, 28, 28, 0) 1.56%, #1D1C1C 76.56%)
.info
  position: absolute
  display: flex
  bottom: 24px
  z-index: 100
  height: 50px
.avatar
  display: flex
  align-items: center
  &-icon
    width: 100%
    margin: 0 16px
  &-name
    color: #fff
    margin: 0
    font-style: normal
    font-weight: 600
    font-size: 24px
    line-height: 29px
.back-button
  height: 100%
  padding: 0
  & .q-btn__wrapper
    padding: 0
.sort-block
  display: flex
  align-items: center
.order-block
  display: flex
  flex-direction: row
  justify-content: space-between
  align-items: center
  margin-top: 32px
  & .order-descr
    margin: 0
    display: flex
    font-style: normal
    font-weight: 600
    font-size: 14px
    line-height: 17px
  & .order-button
    min-height: 50px
    min-width: 200px
    background: linear-gradient(282.69deg, #8720D9 8.64%, #E10E5A 100%)
    color: #fff
    font-style: normal
    font-weight: 600
    font-size: 14px
    line-height: 17px
    cursor: pointer
.product-info p
  font-style: normal
  font-weight: 300
  font-size: 14px
  line-height: 17px
</style>
